<?php if (!defined('APPLICATION')) exit();

class BootstrapThemeHooks implements Gdn_IPlugin {
	const THEME_PATH = 'themes/VanillaBootstrap';


	public function Setup() {
		return true;
	}

	public function OnDisable() {
		return true;
	}

	public function Base_Render_Before(Gdn_Controller $Sender) {
		$Sender->RemoveJsFile('jquery.js');
		// jQuery 1.7+ is needed by several GUI elements
		$Sender->Head->AddScript('https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js',
														 'text/javascript',
														 array('sort' => 0));

		$Sender->SetData('BaseURL', Url('/'));
		$Sender->SetData('ThemeURL', Url('/' . self::THEME_PATH));
	}

	//Add "New comment" notice to comment form
	public function DiscussionController_BeforeBodyField_Handler($Sender) {
		echo '<label>New comment</label>';
	}

	//Add input notifiers to comment form
	public function DiscussionController_BeforeFormButtons_Handler($Sender) {
		if (C('Garden.InputFormatter') == 'Markdown' && !$Editing)
			echo '<span>You can use <b><a href="http://en.wikipedia.org/wiki/Markdown">Markdown</a></b> in your post</span>';
		if (C('Garden.InputFormatter') == 'BBCode' && !$Editing)
			echo '<span>You can use <b><a href="http://en.wikipedia.org/wiki/BBCode">BBCode</a></b> in your post</span>';
		if (C('Garden.InputFormatter') == 'Html' && !$Editing)
			echo '<span>You can use <b><a href="http://htmlguide.drgrog.com/cheatsheet.php">Simple Html</a></b> in your post</span>';
	}

}
